// http://www.cocos2d-iphone.org

attribute lowp vec4 a_position;
attribute vec2      a_texCoord;
attribute lowp vec4 a_color;
attribute lowp vec4 a_colorOffset;
attribute lowp vec4 a_subColorMul;
attribute lowp vec4 a_subColorAdd;

uniform		mat4 u_MVPMatrix;

#ifdef GL_ES
    varying lowp vec4       v_fragmentColor;
    varying lowp vec4       v_fragmentColorOffset;
    varying mediump vec2    v_texCoord;
    varying lowp vec3       v_colorMul;
    varying lowp vec3       v_colorAdd;
#else
    varying lowp            v_fragmentColor;
    varying lowp            v_fragmentColorOffset;
    varying mediump         v_texCoord;
    varying lowp            v_colorMulAdd;
    varying lowp            v_colorAdd;
#endif

void main()
{
    gl_Position             = u_MVPMatrix * a_position;
	v_fragmentColor         = a_color;
	v_fragmentColorOffset   = a_colorOffset;
	v_texCoord              = a_texCoord;
    v_colorMul              = (2.0*vec3(a_subColorMul.rgb))-vec3(1,1,1);
    v_colorAdd              = (2.0*vec3(a_subColorMul.a, a_subColorAdd.rg))-vec3(1,1,1);
}