// http://www.cocos2d-iphone.org


#ifdef GL_ES
    precision   lowp            float;
    varying     lowp vec4       v_fragmentColor;
#else
    varying     lowp            v_fragmentColor;
#endif

varying vec2        v_texCoord;
uniform sampler2D   u_texture;
uniform	float       u_alpha_value;

void main()
{
	vec4 texColor = texture2D(u_texture, v_texCoord);
	
	// alpha test
	if ( texColor.a <= u_alpha_value )
	{
		discard;
	}
    
	gl_FragColor = v_fragmentColor * texColor;
}
