

#ifdef GL_ES
precision   lowp            float;
varying     lowp vec4       v_fragmentColor;
#else
varying     lowp            v_fragmentColor;
#endif

varying vec2        v_texCoord;
varying lowp vec3   v_colorMul;
varying lowp vec3   v_colorAdd;

uniform sampler2D   u_texture;
uniform sampler2D   u_sub_texture;
uniform	float       u_alpha_value;

uniform	vec4        u_color;

void main()
{
	vec4 texColor       = texture2D(u_texture    , v_texCoord);
    vec4 sub_texColor   = texture2D(u_sub_texture, v_texCoord);
	
    // alpha test
	if ( texColor.a <= u_alpha_value )
	{
		discard;
	}
	
    vec3  tex_scaled    = vec3(texColor.rgb);
    
    float interpolate   = sub_texColor.a;
    interpolate         = interpolate * min( 3.0, 1.0/interpolate );
    
    vec3 paletted       = (tex_scaled*v_colorMul + v_colorAdd);
        
	vec3 texRGB         = (1.0 - interpolate)*tex_scaled + (interpolate)*( paletted );
	
    gl_FragColor        = u_color * v_fragmentColor * vec4(texRGB, texColor.a);
 
}
